Get a payment plan
curl --request GET \
--url https://coreapi.io/api/payment-plans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://coreapi.io/api/payment-plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/api/payment-plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/api/payment-plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "10000000-0000-0000-00e0-000000000001",
"invoiceId": "10000000-0000-0000-0003-000000000001",
"status": "active",
"totalAmount": 1190,
"currencyCode": "EUR",
"paymentMethodId": "10000000-0000-0000-004f-000000000001",
"createdAt": "2026-07-05T16:20:00+00:00",
"completedAt": null,
"brokenAt": null,
"canceledAt": null,
"brokenReason": null,
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"dueAt": "2026-08-05",
"amount": 595,
"status": "open",
"paidAt": null
}
]
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}Zahlungsplan-Verwaltung
Get a payment plan
Return a single payment plan with its installments.
GET
/
api
/
payment-plans
/
{id}
Get a payment plan
curl --request GET \
--url https://coreapi.io/api/payment-plans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://coreapi.io/api/payment-plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/api/payment-plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/api/payment-plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "10000000-0000-0000-00e0-000000000001",
"invoiceId": "10000000-0000-0000-0003-000000000001",
"status": "active",
"totalAmount": 1190,
"currencyCode": "EUR",
"paymentMethodId": "10000000-0000-0000-004f-000000000001",
"createdAt": "2026-07-05T16:20:00+00:00",
"completedAt": null,
"brokenAt": null,
"canceledAt": null,
"brokenReason": null,
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"dueAt": "2026-08-05",
"amount": 595,
"status": "open",
"paidAt": null
}
]
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}{
"status": 422,
"type": "PAYMENT_PLAN__SUM_MISMATCH",
"title": "An error occurred",
"detail": "The installments must sum to the open amount of the invoice."
}Autorisierungen
Pfadparameter
Antwort
The payment plan.
War diese Seite hilfreich?